# ippproxy(8)

## Name

ippproxy - a simple ipp proxy client

## Synopsis

ippproxy [ --help ] [ --version ] [ -d device-uri ] [ -m mime/type ] [ -p password ] [ -u user ] [ -v[vv] ] infrastructure-printer-uri

## Description

ippproxy is a simple IPP proxy client conforming to the IPP Shared Infrastructure Extensions (INFRA) specification. It can be used to proxy access to a local IPP printer through an Infrastructure Printer such as ippserver(8).

## Options

The following options are recognized by ippproxy:

--help
  Show program help.
--version
  Show program version.
-d device-uri
  Specifies the local device using its URI. ippproxy supports "ipp", "ipps", and "socket" URIs.
-m mime/types
  Specifies the output format as a MIME media type. ippproxy supports "application/vnd.hp-pcl" (HP PCL), "image/pwg-raster" (PWG Raster), and "image/urf" (Apple Raster). The default is to choose an output format automatically.
-p password
  Specifies the password to use when authenticating with the Infrastructure Printer.
-u user
  Specifies the user name to use when authenticating with the Infrastructure Printer.
-v[vvv]
  Be (very) verbose when logging activity to the standard output.

## Exit Status

The ippproxy program returns 1 if it is unable to process the command-line arguments or connect to either the infrastructure or local printers. Otherwise ippproxy will run continuously until terminated.

## Conforming To

The ippproxy program conforms to PWG Candidate Standard 5100.18: IPP Shared Infrastructure Extensions (INFRA).

## Example

Run ippproxy with an infrastructure URI of "ipps://host.example.com/ipp/print" and a local URI of "ipp://10.0.1.42/ipp/print":

        ippproxy -d ipp://10.0.1.42/ipp/print ipps://host.example.com/ipp/print

## See Also

ippserver(8), PWG Internet Printing Protocol Workgroup (http://www.pwg.org/ipp)

## Copyright

Copyright © 2014-2018 by the IEEE-ISTO Printer Working Group. Copyright © 2007-2018 by Apple Inc.